
From: Nick Piggin <nickpiggin@yahoo.com.au>

Remove the special casing for idle CPU balancing.  Things like this are
hurting for example on SMT, where are single sibling being idle doesn't really
warrant a really aggressive pull over the NUMA domain, for example.

Signed-off-by: Nick Piggin <nickpiggin@yahoo.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN kernel/sched.c~sched-no-aggressive-idle-balancing kernel/sched.c
--- 25/kernel/sched.c~sched-no-aggressive-idle-balancing	2005-02-24 19:54:49.000000000 -0800
+++ 25-akpm/kernel/sched.c	2005-02-24 19:54:49.000000000 -0800
@@ -1877,15 +1877,9 @@ nextgroup:
 
 	/* Get rid of the scaling factor, rounding down as we divide */
 	*imbalance = *imbalance / SCHED_LOAD_SCALE;
-
 	return busiest;
 
 out_balanced:
-	if (busiest && (idle == NEWLY_IDLE ||
-			(idle == SCHED_IDLE && max_load > SCHED_LOAD_SCALE)) ) {
-		*imbalance = 1;
-		return busiest;
-	}
 
 	*imbalance = 0;
 	return NULL;
_
